Yate: XmlDoctype Class Reference

Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XmlDoctype Class Reference
Inheritance diagram for XmlDoctype:

## Public Member Functions
| XmlDoctype (const String &doctype)
| XmlDoctype (const XmlDoctype &orig)
virtual | ~XmlDoctype ()
const String & | getDoctype () const
virtual XmlDoctype * | xmlDoctype ()
void | toString (String &dump, const String &indent=String::empty()) const
Public Member Functions inherited from XmlChild
| XmlChild ()
virtual void | setParent (XmlParent *parent)
virtual XmlElement * | xmlElement ()
virtual XmlComment * | xmlComment ()
virtual XmlCData * | xmlCData ()
virtual XmlText * | xmlText ()
virtual XmlDeclaration * | xmlDeclaration ()
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual bool | alive () const
virtual void | destruct ()
virtual const String & | toString () const
virtual void * | getObject (const String &name) const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)

## Additional Inherited Members
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()

## Constructor & Destructor Documentation

XmlDoctype | ( | const String & | doctype | ) |

Constructor

Parameters

  doctype | The doctype

XmlDoctype | ( | const XmlDoctype & | orig | ) |

Copy constructor

Parameters

  orig | Original XmlDoctype

virtual ~XmlDoctype | ( |  | ) |
| virtual

Destructor

## Member Function Documentation

const String& getDoctype | ( |  | ) | const
| inline

Get the doctype held by this Xml doctype

Returns
  The content of this Xml doctype

void toString | ( | String & | dump,
|  | const String & | indent = `String::empty()`
| ) |  | const

Build a String from this XmlDoctype

Parameters

  dump | The string where to append representation
  indent | Spaces for output

virtual XmlDoctype* xmlDoctype | ( |  | ) |
| inlinevirtual

Get the Xml doctype

Returns
  This object

Reimplemented from XmlChild.

The documentation for this class was generated from the following file:

- yatexml.h